Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ws.commons.schema
Class XmlSchemaSimpleTypeUnion

    java.lang.Object
      org.apache.ws.commons.schema.XmlSchemaObject
          org.apache.ws.commons.schema.XmlSchemaAnnotated
              org.apache.ws.commons.schema.XmlSchemaSimpleTypeContent
                  org.apache.ws.commons.schema.XmlSchemaSimpleTypeUnion

    public class XmlSchemaSimpleTypeUnion

extends XmlSchemaSimpleTypeContent

Class for the union of simpleType elements. Defines a simpleType element as a list of values of a specified data type. Represents the World Wide Web Consortium (W3C) union element.

Field Summary

Fields inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`unhandledAttributes`

Constructor Summary
`XmlSchemaSimpleTypeUnion()`

Method Summary
`XmlSchemaObjectCollection` | `getBaseTypes()`
`javax.xml.namespace.QName[]` | `getMemberTypesQNames()`
`java.lang.String` | `getMemberTypesSource()`
`void` | `setMemberTypesSource(java.lang.String memberTypesSources)`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`getAnnotation, getId, getUnhandledAttributes, setAnnotation, setId, setUnhandledAttributes, toString`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaObject
`addMetaInfo, equals, getLineNumber, getLinePosition, getMetaInfoMap, getSourceURI, setLineNumber, setLinePosition, setMetaInfoMap, setSourceURI, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlSchemaSimpleTypeUnion

    public XmlSchemaSimpleTypeUnion()

Method Detail

### getBaseTypes

    public XmlSchemaObjectCollection getBaseTypes()

### setMemberTypesSource

    public void setMemberTypesSource(java.lang.String memberTypesSources)

### getMemberTypesSource

    public java.lang.String getMemberTypesSource()

### getMemberTypesQNames

    public javax.xml.namespace.QName[] getMemberTypesQNames()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 The Apache Software Foundation. All Rights Reserved.